import { ComponentConfigsType } from 'lingxi-editor-core';
export declare const SPECIAL_STRING_CONSTANTS: any;
export declare const formatSpecialProps: (props: any, propsConfig: any) => any;
export declare function usePrevious<T>(value: any): T;
export declare const iframeSrcDoc = "<!DOCTYPE html>\n<html lang=\"en\">\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, minimum-scale=0.5, maximum-scale=2.0, user-scalable=yes\" />\n<body class=\"theme-mall-science\">\n<div id=\"dnd-container\" style=\"width: 100%;height: 100%\"></div>\n</body>\n</html>\n";
export declare const isEqualKey: (key: string, selectKey?: string | null) => boolean;
export declare const getIframe: () => HTMLIFrameElement;
export declare const getComponent: (componentName: string) => any;
export declare function formatUnit(target: string | null): number;
export declare const getSelectedNode: (key?: string | null, iframe?: HTMLIFrameElement) => HTMLElement | undefined;
export declare function generateCSS(left: number, top: number, width?: number, height?: number): string;
export declare function getElementInfo(element: any, iframe: HTMLIFrameElement, isModal?: boolean): {
    width: any;
    height: any;
    left: any;
    top: any;
    bottom: any;
    right: any;
};
export declare function getIsModalChild(componentConfigs: ComponentConfigsType, domTreeKeys?: string[]): boolean;
export declare function setPosition(nodes: any[], isModal?: boolean): void;
export declare function generateRequiredProps(componentName: string): any;
