import { SelectedInfoBaseType } from 'lingxi-editor-core';
export declare function handleSelectedStatus(event: Event | null, isSelected: boolean, specialProps: SelectedInfoBaseType, propName?: string): void;
/**
 * hover组件上触发
 * @param event
 * @param key
 */
export declare function onMouseOver(event: Event, key: string, isSelected: boolean): void;
/**
 * 获取要放入组件的容器信息
 * @param event
 * @param domTreeKeys
 * @param selectedKey
 * @param propName
 */
export declare function getDropTargetInfo(event: Event, domTreeKeys: string[], selectedKey: string, propName?: string): void;
/**
 * 拖拽当前组件时获取当前组件的信息
 * @param event
 * @param dragKey
 * @param parentKey
 * @param parentPropName
 */
export declare function onDragStart(event: Event, dragKey: string, parentKey: string, parentPropName?: string): void;
/**
 * 获取组件选中状态
 * @param key
 * @param hoverKey
 * @param selectedKey
 */
export declare function selectedStatus(key: string, hoverKey: string | null, selectedKey?: string): {
    isHovered: boolean;
    isSelected: boolean;
};
export declare function onDragover(e: any): void;
export declare function onDrop(e: any): void;
